import { Tree as MemoryTree } from "@canvas-js/okra-memory";
import { ModelDB } from "@canvas-js/modeldb-idb";
import { AbstractGossipLog, GossipLogInit } from "../AbstractGossipLog.js";
export declare class GossipLog<Payload> extends AbstractGossipLog<Payload> {
    readonly db: ModelDB;
    readonly tree: MemoryTree;
    static open<Payload>(init: GossipLogInit<Payload>, options?: {
        version?: number;
    }): Promise<GossipLog<Payload>>;
    private constructor();
}
